Allgemein iPhoneSque Mod - User Agent bei S60v3 und S60v5 ändern

Dieses Thema im Forum "Nokia Forum" wurde erstellt von logofreax, 26. Okt. 2009.

Status des Themas:
Es sind keine weiteren Antworten möglich.
  1. logofreax

    logofreax Gründer

    Registriert seit:
    21. Apr. 2006
    Beiträge:
    41.926
    Zustimmungen:
    1.040
    Es wurde mal gefragt und jetzt habe ich eine passende Lösung gefunden, wie man den Useragent bei S60v3 und S60v5 ändern kann.

    Der Sinn darin liegt z.B. einer Internetseite vorzugaukeln, das das Handy ein "echter" Browser und kein Handy ist.

    So bekommt man die komplette Seite angezeigt und nicht die mobile Version.

    Realisiert wird das Ganze durch zwei Programme.

    Download: UserAgentSelect 1.0.3

    Voraussetzungen:

    - PyS60 / Python 1.4.5 Laufzeitumgebung installiert
    - PythonScriptShell 1.4.5 installiert

    Installation:

    1.)" iphonesque_fp1_1.3_UAChange.sis" installieren
    2.) "UserAgentSelect_v1_0_3.sis" installieren

    Nach dem Start kann man dann auswählen:

    Original
    iPhone
    FireFox/XP
    Google Chrome
    Internet Explorer
    Nokia N73
    Nokia N95
    Nokia N96
    Nokia E90
    Windows CE
    BlackBerry 7130e

    cu
    logofreax
     

    Anhänge:

    #1 logofreax, 26. Okt. 2009
    Zuletzt bearbeitet: 26. Okt. 2009
  2. Samus Aran

    Samus Aran VIP Mitglied

    Registriert seit:
    20. Aug. 2007
    Beiträge:
    4.429
    Zustimmungen:
    1
    Haben wir das nicht schon länger in der DLB?
     
  3. JulianMei

    JulianMei Neues Mitglied

    Registriert seit:
    14. Sep. 2009
    Beiträge:
    36
    Zustimmungen:
    0
    habe jetzt beide python also scriptshell und laufzeitumgebung runtergeldaen unt entpackt. dann hab ich insgesamt 4 sis dateien.(2nd E. , 2nd E. FP2, 2nd E. FP3, 3rd+ 5th E.) dann hab ich die für 3rd 5th edition auf C: installiert. Jedoch wird keine von den anderen 3 unterstützt.
     
  4. Samus Aran

    Samus Aran VIP Mitglied

    Registriert seit:
    20. Aug. 2007
    Beiträge:
    4.429
    Zustimmungen:
    1
    Kein Wunder.
    Die anderen drei sind nämlich, wie du schon aufgezählt hast, für S60v2.
    Dein N97 hat aber S60v5 ;)
     
  5. logofreax

    logofreax Gründer

    Registriert seit:
    21. Apr. 2006
    Beiträge:
    41.926
    Zustimmungen:
    1.040
    @JulianMei

    Die anderen 3 brauchst du nicht.

    cu
    logofreax
     
  6. JulianMei

    JulianMei Neues Mitglied

    Registriert seit:
    14. Sep. 2009
    Beiträge:
    36
    Zustimmungen:
    0
    super danke. fands nur bisschen verwirrend, dachte man müsse laufzeitumgebung und scriptshell installieren.
     
  7. logofreax

    logofreax Gründer

    Registriert seit:
    21. Apr. 2006
    Beiträge:
    41.926
    Zustimmungen:
    1.040
    Muss man auch, aber das sind zwei verschiedene Sachen.

    cu
    logofreax
     
  8. JulianMei

    JulianMei Neues Mitglied

    Registriert seit:
    14. Sep. 2009
    Beiträge:
    36
    Zustimmungen:
    0
    also muss ich mit meinem n97 laufzeitumgebung und scriptshell installieren? das geht nicht weil der laufzeitumgebung downloa keine sis. datei für 5th edition enthält.
     
  9. logofreax

    logofreax Gründer

    Registriert seit:
    21. Apr. 2006
    Beiträge:
    41.926
    Zustimmungen:
    1.040
    Doch, die Datei heißt "Python PyS60 1.4.5 für 3rd Edition und 5th Edition.sis"

    cu
    logofreax
     
  10. evo_racer

    evo_racer Guest

    Was bringt eigentl. so ein Useragend?
    Ist das dann eine veränderte Oberfläsche in iPhone oder Windows Optik?

    cu
    evo_racerr
     
  11. logofreax

    logofreax Gründer

    Registriert seit:
    21. Apr. 2006
    Beiträge:
    41.926
    Zustimmungen:
    1.040
    Siehe Beitrag #1

    Meistens bekommt man so alle Funktionen einer Webseite zur Verfügung gestellt, die es in der mobilen Version nicht gibt.

    cu
    logofreax
     
  12. theWayne

    theWayne VIP Mitglied

    Registriert seit:
    12. Apr. 2008
    Beiträge:
    2.028
    Zustimmungen:
    1
    Hat ja aber den Nachteil, dass man viel scrollen muss, wenn die Seite im Original angezeigt wird. Muss man halt abwägen.
     
  13. JulianMei

    JulianMei Neues Mitglied

    Registriert seit:
    14. Sep. 2009
    Beiträge:
    36
    Zustimmungen:
    0
    brauch jetzt ein zertifikat für iphonesque mod. wenn ich mir eins bei opda besorge ist das illegal ? verliere ich dann die garantie für mein handy wenn ich das signiere und installiere?
     
  14. mk-dd

    mk-dd VIP Mitglied

    Registriert seit:
    30. Juli 2009
    Beiträge:
    316
    Zustimmungen:
    7
    Nein. Nein.
     
  15. JulianMei

    JulianMei Neues Mitglied

    Registriert seit:
    14. Sep. 2009
    Beiträge:
    36
    Zustimmungen:
    0
    so endlich alles geklappt! danke für die hilfe :danke:
     
  16. ts61gogo

    ts61gogo VIP Mitglied

    Registriert seit:
    25. Feb. 2008
    Beiträge:
    412
    Zustimmungen:
    0
    hat das schon jemand mit python 2.0 getestet???
    hab eben gelesen, dass man mehrere python versionen parallel installiert haben kann, also kann ich 2.0 und 1.4.5 gleichzeitig haben?
     
    #16 ts61gogo, 18. Jan. 2010
    Zuletzt bearbeitet: 18. Jan. 2010
  17. peterleinchen

    peterleinchen VIP Mitglied

    Registriert seit:
    27. Juni 2009
    Beiträge:
    1.556
    Zustimmungen:
    3
    welche notwendig ist, weiss ich nicht
    habe beide drauf (1.4.5 und 1.9.7)

    und ja, man kann (sollte) beide drauf haben
     
  18. Krisx91

    Krisx91 Neues Mitglied

    Registriert seit:
    6. Dez. 2007
    Beiträge:
    17
    Zustimmungen:
    0
    Ehmm, für iphonsque brauch ich ein zertifikat? Ich weis nicht mal was das sein soll x_x. Kann mir jemand weiterhelfen?
     
  19. nathaniel

    nathaniel VIP Mitglied

    Registriert seit:
    5. März 2009
    Beiträge:
    379
    Zustimmungen:
    6
  20. Krisx91

    Krisx91 Neues Mitglied

    Registriert seit:
    6. Dez. 2007
    Beiträge:
    17
    Zustimmungen:
    0
    wow, ich kapiers leider nicht o.o, kann das nicht jemand für mich machen?
     
Die Seite wird geladen...
Status des Themas:
Es sind keine weiteren Antworten möglich.